como forçar a compatibilidade de extensão com firefox 3.6+

Se você já atualizou para o Firefox 3.6, você pode ter notado que muitas das suas extensões não funcionam mais, eo truque checkCompatibility idade não funciona mais. Ou não?

Graças ao meu bom amigo Daniel por apontar a mudança no Firefox 3.6. Seu blog pessoal é tão nerd ele vai fazer sua cabeça explodir.

Compatibilidade Extensão vigor com o Firefox 3.6+

Este é o erro que você começa quando você tentar instalar uma extensão que não é compatível. Preste atenção especial para a cadeia de versão Firefox, como vamos precisar disso mais tarde.

Digite about: config na barra de endereços e, em seguida, após clicar através do aviso, você vai querer botão direito do mouse na lista e escolha Novo -> booleano do menu.

Agora vamos ser solicitado a digitar o nome da preferência. Isto é onde você precisa prestar atenção à versão exato que você está usando, porque a preferência tem que ser definida para a versão exata do Firefox que você está usando.

Estamos usando o Firefox 3.6b3, como observado na mensagem de erro acima, então a preferência seria o seguinte … nota a capital C lá, muito importante.

Update: Para o atual Firefox candidato 3.6 liberação você vai precisar do seguinte

extensions.checkCompatibility.3.6

Basicamente, o formato é extensions.checkCompatibility.VERSION.b para versões beta ou extensions.checkCompatibility.VERSION.a para Alpha lança. Então, se você estava testando Firefox 3.8 Alpha, você usaria extensions.checkCompatibility.3.8a como o nome preferência.

Sim, essa não era a coisa mais simples. Na próxima caixa de diálogo, basta escolher “false” e fechar o diálogo.

Agora você deve ver o valor na lista se você filtrar por isso.

E suas extensões agora deve instalar. Se não o fizerem, então você provavelmente colocar a versão errada para o nome da preferência.

Definitivamente, uma dica muito útil, e um que eu suspeito que eu vou estar usando o tempo todo.

Há uma maneira mais fácil – as ferramentas de Nightly Tester add-on. Coloca um botão na barra lateral add-ons para substituir compatibilidade.

As ferramentas de Nightly Tester adiciona um monte de outras coisas que a maioria de nós não quer. Eu prefiro apenas fazer o ajuste rápido em vez disso, e manter a minha lista de extensão menor.

Graças para o ajuste! Eu queria saber o que estava acontecendo.

Grande ajuste eu não tinha idéia de que você poderia fazer isso

Doce! agora eu posso usar o Firefox 3.6 novamente. Eu instalei-o e teve problemas assim que eu parei de usá-lo, mas com isso eu posso usá-lo agora.

Eu realmente gosto do novo Add-on Compatibility Reporter da Mozilla. Ele define os sinalizadores de compatibilidade de configuração para você. Em seguida, depois de ter testado as extensões, você pode enviar relatórios para o add-on desenvolvedores para que eles saibam suas extensões são compatíveis.

https://addons.mozilla.org/en-US/firefox/addon/15003

Sim, esta é a primeira definição que eu uso quando a criação de um novo perfil.

Bem, isso pode causar problemas e pode falhar firefox. Outra maneira de fazer um determinado add-on de trabalho

1> Baixe o arquivo XPI diretamente (clique direito do mouse sobre o botão instalar, salvar destino como)

2> Descompacte o arquivo xpi usando Winrar ou qualquer ferramenta.

3> Edite o arquivo install.rdf – mudança de número da versão para 3,6 ou qualquer outra coisa. Salvar Arquivo.

4> Zip o arquivo novamente. Altere a extensão (.zip to.xpi) – Instale o add-on arrastando.

Felizmente, este método não irá travar o navegador – e você pode mudar setings para add-ons individuais

Saúde!

Sinceros agradecimentos por esta dica. Eu uso Roboform para armazenar muitas senhas, e é ótimo tê-lo de volta, em vez de abrir IE sempre que eu visitar um site onde eu preciso de uma senha e nome de usuário.

Muito útil.

MR tecnologia Toolkit add-on sempre cuidar da questão.

“MR tecnologia Toolkit add-on sempre cuidar da questão” grande resposta, é por isso que você citou Broni, exatamente o que eu ia dizer, trabalha o tempo todo.

Muito obrigado. É apenas a informação que eu precisava atualizar para 3,6 FF

… você fez meu dia !!

Olá pessoal; i seguiu os passos para isso, mas quando eu mudar os motores para, abrir um site com o guia IE add-on este jusf parar e diz LODAING no nome da guia; e nunca exibe a página; nenhuma pista ???? ;obrigado

Código bonita ….!

O que eu tipo para o código se a minha versão é 3.6.13?

O leite materno contém vários graus de melatonina com base no tempo do dia, o conteúdo de melatonina ajuda o bebê a regular o seu ciclo de sono e reduz a ocorrência de cólicas.